-- #1
CREATE TABLE postpaytransactions (
     transactionid        varchar(255)  not null
,    shopid               integer  not null
,    basketid             integer  not null
,    transactiondate      datetime  not null

,   constraint pk_postpaytransactions           primary key (transactionid)
,   constraint fk_postpaytransactions_shopid    foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_postpaytransactions_basketid  foreign key (basketid)
        references basket                           (basketid)
)
GO
CREATE INDEX i_postpaytransactions_shopid ON postpaytransactions (shopid)
GO
CREATE INDEX i_postpaytransactions_basketid ON postpaytransactions (basketid)
GO
